import React, {useState, useMemo } from 'react';
import CounterView from './CounterView.js';
export default ({defaultValue=0}) => {
    const [value, setValue] = useState(defaultValue)
    useMemo(() => setValue(defaultValue), [defaultValue])
    return (
        <CounterView value={value} 
                     inc={() => setValue(value +1)} 
                     dec={() => setValue(value -1)} />
    )
}
